# loki.transformations.build_system.tests.test_file_write

Tests for build system interaction

Functions

`test_file_write_module_imports`(frontend, ...) | Set up a four file mini-project with some edge cases around import behaviour (see in-source comments for details) and verify that the generated CMake plan matches the list of files we expect to transform, and that the FileWriteTransformation writes exactly these files
`test_file_write_replicate`(tmp_path, caplog, ...) |

test_file_write_module_imports(frontend, tmp_path, enable_imports, import_level, qualified_imports, use_rootpath, suffix)

  Set up a four file mini-project with some edge cases around import behaviour (see in-source comments for details) and verify that the generated CMake plan matches the list of files we expect to transform, and that the FileWriteTransformation writes exactly these files

test_file_write_replicate(tmp_path, caplog, frontend, have_non_replicate_conflict)